Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 930586 - sci-visualization/gr-0.73.3 - /.../interaction.cxx: error: no matching function for call to find(std::vector<std::_cxx11::basic_string<char> >::iterat
Summary: sci-visualization/gr-0.73.3 - /.../interaction.cxx: error: no matching functi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-14
  Show dependency tree
 
Reported: 2024-04-24 14:04 UTC by Toralf Förster
Modified: 2024-07-07 12:39 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,20.66 KB, text/plain)
2024-04-24 14:04 UTC, Toralf Förster
Details
emerge-history.txt.xz (emerge-history.txt.xz,98.57 KB, application/x-xz)
2024-04-24 14:04 UTC, Toralf Förster
Details
environment (environment,100.88 KB, text/plain)
2024-04-24 14:04 UTC, Toralf Förster
Details
etc.clang.tar.xz (etc.clang.tar.xz,1.17 KB, application/x-xz)
2024-04-24 14:04 UTC, Toralf Förster
Details
etc.portage.tar.xz (etc.portage.tar.xz,14.52 KB, application/x-xz)
2024-04-24 14:04 UTC, Toralf Förster
Details
qlist-info.txt.xz (qlist-info.txt.xz,108.22 KB, application/x-xz)
2024-04-24 14:04 UTC, Toralf Förster
Details
sci-visualization:gr-0.73.3:20240424-124205.log (sci-visualization:gr-0.73.3:20240424-124205.log,198.24 KB, text/plain)
2024-04-24 14:04 UTC, Toralf Förster
Details
temp.tar.xz (temp.tar.xz,23.55 KB, application/x-xz)
2024-04-24 14:04 UTC, Toralf Förster
Details
patch to fix the bug (missing_algorithm_header.patch,335 bytes, patch)
2024-06-18 15:07 UTC, Dima Pasechnik
Details | Diff
better patch - more places where <algorithm> is needed (missing_algorithm_header.patch,608 bytes, patch)
2024-06-18 17:07 UTC, Dima Pasechnik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2024-04-24 14:04:02 UTC
too long lines were shrinked:

[57/276] /usr/bin/x86_64-pc-linux-gnu-gcc -DBUILDING_GR -DGRDIR=\"/usr/gr\" -DHAVE_ZLIB -DNO_EXPAT -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/include -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src -I/var/tmp/portage/sci-visualization/gr-0.73.3/wo
[58/276] /usr/bin/x86_64-pc-linux-gnu-g++ -DBUILDING_GR -DGRDIR=\"/usr/gr\" -DHAVE_ZLIB -DNO_EXPAT -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/include -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src -I/var/tmp/portage/sci-visualization/gr-0.73.3/wo
[59/276] /usr/bin/x86_64-pc-linux-gnu-g++ -DBUILDING_GR -DGRDIR=\"/usr/gr\" -DHAVE_ZLIB -DNO_EXPAT -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/include -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src -I/var/tmp/portage/sci-visualization/gr-0.73.3/wo
FAILED: CMakeFiles/grm_static.dir/lib/grm/src/grm/interaction.cxx.o 
/usr/bin/x86_64-pc-linux-gnu-g++ -DBUILDING_GR -DGRDIR=\"/usr/gr\" -DHAVE_ZLIB -DNO_EXPAT -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/include -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src -I/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.7
/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src/grm/interaction.cxx: In function void moveTransformationHelper(const std::shared_ptr<GRM::Element>&, double, double, double, double, bool):
/var/tmp/portage/sci-visualization/gr-0.73.3/work/gr-0.73.3/lib/grm/src/grm/interaction.cxx:383:16: error: no matching function for call to find(std::vector<std::__cxx11::basic_string<char> >::iterator, std::vector<std::__cxx11::basic_string<char> >::iterator, std::string)
  383 |   if (std::find(ndc_transformation_elems.begin(), ndc_transformation_elems.end(), element->localName()) !=
      |       ~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 23.0_desktop_gnome_systemd-20240412-195623

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-14 *
clang/llvm (if any):
clang version 18.1.4
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/18/bin
Configuration file: /etc/clang/x86_64-pc-linux-gnu-clang.cfg
/usr/lib/llvm/18
18.1.4
Python 3.11.9
Available Ruby profiles:
  [1]   ruby31 (with Rubygems)
  [2]   ruby32 (with Rubygems)
  [3]   ruby33 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.77.1 *
The following VMs are available for generation-2:
1)	Eclipse Temurin JDK 11.0.22_p7 [openjdk-bin-11]
2)	Eclipse Temurin JDK 17.0.10_p7 [openjdk-bin-17]
*)	Eclipse Temurin JDK 21.0.2_p13 [openjdk-bin-21]
4)	Eclipse Temurin JDK 8.402_p06 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-11 
  [3]   openjdk-bin-17 
  [4]   openjdk-bin-21  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.2.8
php cli (if any):
  [1]   php8.1 *
  [2]   php8.3
go version go1.22.2 linux/amd64

  HEAD of ::gentoo
commit ea8ec6920fd1b65f8474336f650454d54a935835
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Wed Apr 24 12:34:23 2024 +0000

    2024-04-24 12:34:23 UTC

emerge -qpvO sci-visualization/gr
Comment 1 Toralf Förster gentoo-dev 2024-04-24 14:04:03 UTC
Created attachment 891652 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2024-04-24 14:04:04 UTC
Created attachment 891653 [details]
emerge-history.txt.xz
Comment 3 Toralf Förster gentoo-dev 2024-04-24 14:04:05 UTC
Created attachment 891654 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2024-04-24 14:04:06 UTC
Created attachment 891655 [details]
etc.clang.tar.xz
Comment 5 Toralf Förster gentoo-dev 2024-04-24 14:04:06 UTC
Created attachment 891656 [details]
etc.portage.tar.xz
Comment 6 Toralf Förster gentoo-dev 2024-04-24 14:04:08 UTC
Created attachment 891657 [details]
qlist-info.txt.xz
Comment 7 Toralf Förster gentoo-dev 2024-04-24 14:04:09 UTC
Created attachment 891658 [details]
sci-visualization:gr-0.73.3:20240424-124205.log
Comment 8 Toralf Förster gentoo-dev 2024-04-24 14:04:10 UTC
Created attachment 891659 [details]
temp.tar.xz
Comment 9 Andreas K. Hüttel archtester gentoo-dev 2024-05-03 09:18:30 UTC
Making this block gcc-14 for lack of a better idea
(do we need to specify the c++ standard here?)
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-05-03 09:34:20 UTC
It might just be a missing #include <algorithm> (see bottom of https://gcc.gnu.org/gcc-14/porting_to.html).
Comment 11 Dima Pasechnik 2024-06-18 15:05:51 UTC
yes, adding <algorithm> header there suffices. I'll attach the patch
Comment 12 Dima Pasechnik 2024-06-18 15:07:00 UTC
Created attachment 896032 [details, diff]
patch to fix the bug
Comment 13 Dima Pasechnik 2024-06-18 17:07:52 UTC
Created attachment 896047 [details, diff]
better patch - more places where <algorithm> is needed

there are two files where <algorithm> is needed.
Comment 14 Dima Pasechnik 2024-06-18 17:09:19 UTC
(In reply to Sam James from comment #10)
> It might just be a missing #include <algorithm> (see bottom of
> https://gcc.gnu.org/gcc-14/porting_to.html).

yes, that was the case. Please see the patch which allows the build.
Comment 15 Larry the Git Cow gentoo-dev 2024-07-07 12:39:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30a179461985e4857d07d1a67f8303bfce3233eb

commit 30a179461985e4857d07d1a67f8303bfce3233eb
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2024-07-07 12:38:52 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2024-07-07 12:38:52 +0000

    sci-visualization/gr: add 0.73.6
    
    Closes: https://bugs.gentoo.org/930586
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 sci-visualization/gr/Manifest         |  1 +
 sci-visualization/gr/gr-0.73.6.ebuild | 85 +++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)